Bug 131817 - can't kill nabi
can't kill nabi
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nabi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lawrence Lim
: i18n
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-05 04:27 EDT by Colin Charles
Modified: 2014-03-25 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 16:03:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Charles 2004-09-05 04:27:12 EDT
Description of problem: nabi refuses to die or quite, which gets
mighty annoying


Version-Release number of selected component (if applicable):
nabi-0.13-1

How reproducible:
100%

Steps to Reproduce:
1. start Nabi (either from console or menu)
2. If started from console, hit Ctrl+C to terminate the process
  
Actual results:
It restarts/respawns back instantly

Expected results:
It gets shut off.

Additional info:
I can reproduce this on PPC, and this comes mainly from a complaint (I
presume on x86) from Paul on fedora-test-list
Comment 1 Paul F. Johnson 2004-09-05 05:33:46 EDT
x86 version has the same problem
Comment 2 Leon Ho 2004-10-22 00:38:33 EDT
This is the reply from upstream:
"Anyway, you should use session manager to stop nabi if you run your
desktop with session manager. So selecting quit menu of nabi does not
work. This is intentional behavior.
If some problem accurrs and XIM is dead unexpectedly, XIM should
be respawned, I think.
Some implementation has watch dog process for it, but it is too
expensive for
such a small xim program. So I deside to use session manager. Using
session mananger is quite easy, I think."
Comment 3 Leon Ho 2005-01-17 16:03:16 EST
NetworkManager has similar feature. 
You can disable this through gnome-session-properties tho.

Closing this out unless there are other concerns on this issue.

Note You need to log in before you can comment on or make changes to this bug.